﻿using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System;
using System.Diagnostics;

namespace FeatureGuideCharp
{
    class _09_23_time_based_expiry
    {

        public void Execute()
        {
            String apiKey = "your_api_key";
            String apiUrl = "https://sandbox.esignlive.com/api";

            EslClient eslClient = new EslClient(apiKey, apiUrl);

            DocumentPackage pkg = PackageBuilder.NewPackageNamed("Create a package with Expiry Date - "  + System.DateTime.Now)
                   .WithSettings(DocumentPackageSettingsBuilder.NewDocumentPackageSettings()
                                                    .WithDefaultTimeBasedExpiry()
                                                    .WithRemainingDays(15)
                   )
                   .Build();


            PackageId pkgId = eslClient.CreatePackageOneStep(pkg);

            DocumentPackage pkg2 = eslClient.GetPackage(pkgId);
            DateTime? createDate = pkg2.CreatedDate;
            DateTime? expiryDate = pkg2.ExpiryDate;
            Debug.WriteLine("create date: " + createDate);
            Debug.WriteLine("expiry date: " + expiryDate);

        }

    }
}
